Apache Commons Weaver 2.0 发布,最低要求 Java 8

王练
 王练
发布于 2018年09月09日
收藏 4

Apache Commons Weaver 2.0 已发布,Apache Commons Weaver 通过在类中生成("weaving")字节码,提供一种简单的方法来增强已编译的 Java 类。

2.0 要求 Java 8 及以上版本,其他更改包括:

New features:
o WEAVER-19:   Upgrade to Java 8.
o WEAVER-24:   Blueprint method references.

Fixed Bugs:
o WEAVER-16:   NullPointerException when weaving class with no package.
o WEAVER-17:   Maven plugin was packaged without its (generated) HelpMojo class.
o WEAVER-23:   Privilizer Weaver computes Object for all variable types in catch context.

Changes:
o WEAVER-20:   Remove commons-io, commons-collections dependencies.
o WEAVER-21:   Upgrade xbean-finder to v4.9.
o WEAVER-22:   Upgrade modules to ASM 6.2.1.
o WEAVER-25:   Reject blueprint methods that access entities that would be inaccessible.
o WEAVER-26:   Upgrade to commons-parent v47.

下载地址:

https://commons.apache.org/proper/commons-weaver/download_weaver.cgi

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Apache Commons Weaver 2.0 发布,最低要求 Java 8
加载中
返回顶部
顶部